# Class SingleTaskInvoker

java.lang.Object
uk.ac.starlink.task.SingleTaskInvoker

public class SingleTaskInvoker extends Object
Invoker which only knows how to invoke a single given task.

Since:
  22 Nov 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SingleTaskInvoker(Task task, String taskName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUsage()`
Returns a usage string for this invoker.
`int`
`invoke(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleTaskInvoker

public SingleTaskInvoker(Task task, String taskName)
Constructor.

Parameters:
  `task` - task to invoke
  `taskName` - human-readable name of the task

## Method Details

### invoke

public int invoke(String[] args)

### getUsage

public String getUsage()
Returns a usage string for this invoker.

Returns:
  usage string